Name: fonts-bwfonts-legacy
Version: 2002
Release: 1
License: Free for noncommercial purposes
Source: bwfonts.tar.gz 
BuildRoot: %{_tmppath}/%{name}-root
BuildArch: noarch
Group: User Interface/X
Summary: BibleWorks Greek and Hebrew legacy fonts
URL: http://www.bibleworks.com/fonts.html
Prereq: fontconfig 
 
%description
Legacy fonts with proprietary encoding widely used by biblical scholars.
The fonts are part of the BibleWorks program (http://www.bibleworks.com/),
but may be redistributed freely for noncommercial purposes (You SHOULD
see the included LICENSE file!).


%prep
%setup -q -c

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT%{_datadir}/fonts/bwfonts-legacy
cp bwfonts/*.ttf $RPM_BUILD_ROOT%{_datadir}/fonts/bwfonts-legacy
# %%ghost the fonts.cache-1 file
touch $RPM_BUILD_ROOT%{_datadir}/fonts/bwfonts-legacy/fonts.cache-1

%clean
rm -rf $RPM_BUILD_ROOT

%post
if [ -x %{_bindir}/fc-cache ]; then
  %{_bindir}/fc-cache %{_datadir}/fonts
fi

%postun
if [ "$1" = "0" ]; then
  if [ -x %{_bindir}/fc-cache ]; then
    %{_bindir}/fc-cache %{_datadir}/fonts
  fi
fi


%files
%defattr(-,root,root)
%doc bwfonts/LICENSE
%doc bwfonts/*.jpg
%dir %{_datadir}/fonts/bwfonts-legacy
%{_datadir}/fonts/bwfonts-legacy/*.ttf
%ghost %{_datadir}/fonts/bwfonts-legacy/fonts.cache-1

%changelog
* Tue Feb 28 2006 Petr Tomasek <tomasek@etf.cuni.cz>
- Initial package
